"use strict";
const jsxRuntime = require("react/jsx-runtime");
const styles_lib_css_typography_css_cjs = require("../../css/typography.css.cjs");
const textTones = [
  styles_lib_css_typography_css_cjs.lightModeTone.light,
  styles_lib_css_typography_css_cjs.darkModeTone.dark
].join(" ");
const VanillaThemeContainer = ({
  children,
  theme,
  setDefaultTextTones
}) => /* @__PURE__ */ jsxRuntime.jsx("div", { className: `${theme}${setDefaultTextTones ? ` ${textTones}` : ""}`, children });
exports.VanillaThemeContainer = VanillaThemeContainer;
